#!/bin/bash

COMP="gfortran -fPIC -O3"
EXE="sir_sca_usage"
SRC="sir_sca_store.f90 sir_sca_usage.f90 sir_sca_driver.f90 sir_sca_read_lut_header.f90 sir_sca_read_lut_full.f90 sir_sca_read_lut_quick.f90 sir_sca_get_data_lut.f90 sir_sca_get_coef.f90"
OBJ="sir_sca_store.o sir_sca_usage.o sir_sca_driver.o sir_sca_read_lut_header.o sir_sca_read_lut_full.o sir_sca_read_lut_quick.o sir_sca_get_data_lut.o sir_sca_get_coef.o"

echo "rm -f *.o *.mod ${EXE}"
rm -f *.o *.mod ${EXE} 

echo "${COMP} -c ${SRC}"
${COMP} -c ${SRC}
echo "${COMP} ${OBJ} -o ${EXE}"
${COMP} ${OBJ} -o ${EXE}
rm *.mod
rm *.o
echo "Running ./${EXE}"
./${EXE}
